### Virtual Method

# Gio SocketService incoming

since: 2.22

#### Declaration

    gboolean
    incoming (
      GSocketService* service,
      GSocketConnection* connection,
      GObject* source_object
    )

#### Description

Signal emitted when new connections are accepted.

Available since: 2.22

#### Parameters

`connection`

  Type: `GSocketConnection`

  No description available.

  The data is owned by the caller of the function.

`source_object`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.